API

Enable or disable branch webhooks

POST/api/crm/v2/webhooks_subscriptions.update_settingsv2
operationId: webhooksSubscriptions.updateSettings

Enables or disables branch webhooks. When enabled for the first time, a signature secret is generated, so the branch settings are returned in the response.

Authorization

api-token + language + role

Query parameters

branch_idintegerrequired

Example: 8412

Request body application/json

object
enabledbooleanrequired

Disables all branch subscriptions at once

Example: true

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject
settingsobject (WebhooksBranchSettings)
secretstringcan be null

null until the network creates a secret

Example: 9f2c…

enabledbooleanrequired

Example: true